# Packmangroup: Multimedia
# Packmanpackagename: subtitleripper
# Packman: Manfred Tremmel

Name:           subtitleripper
Summary:        Tools to extract DVD-subtitles
Summary(de):    Tools um DVD-Untertitel zu extrahieren
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://sourceforge.net/projects/subtitleripper
Version:        0.3.4
Release:        5.4
Source0:        subtitleripper-0.3-4.tar.bz2
Patch0:         subtitleripper-gcc44.patch
Patch1:         subtitleripper-os113.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libnetpbm
BuildRequires:  libnetpbm-devel
BuildRequires:  libpng
BuildRequires:  libpng-devel

%description
Tools to extract subtitles from a video DVD.

%description -l de
Tools um Untertitel von einer Video-DVD zu extrahieren.



%prep
%setup -n %{name}
%patch0 -p1
%if %suse_version > 1120
%patch1 -p0
%endif

# Link to library netpbm
%if 0%{?suse_version} > 1320
sed -i 's/lppm/lnetpbm/' Makefile
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS"
%if 0%{?suse_version} > 1220
# netpbm moved the includes to its own subdir
INCLUDES="-I/usr/include/netpbm"
%endif
%{__make} %{?jobs:-j%{jobs}} INCLUDES="$INCLUDES"

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 pgm2txt %{buildroot}%{_bindir}
%{__install} -m 755 srttool %{buildroot}%{_bindir}
%{__install} -m 755 subtitle2pgm %{buildroot}%{_bindir}
%{__install} -m 755 subtitle2vobsub %{buildroot}%{_bindir}
%{__install} -m 755 vobsub2pgm %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README README.*
%{_bindir}/*

%changelog
* Sun Sep 13 2015 avvissu@yandex.ru
- Fix build on openSUSE > 13.2: link to netpbm instead of lppm
* Mon Feb 25 2013 seife+obs@b1-systems.com
- fix for relocated netpbm includes in 12.3+
* Wed Jul 14 2010 Manfred.Tremmel@iiv.de
- changes to make it compile with openSUSE 11.3
* Wed Sep 23 2009 Manfred.Tremmel@iiv.de
- changes to make it compile with openSUSE 11.2
* Wed Sep  9 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Wed Oct 20 2004 Manfred.Tremmel@iiv.de
- added missing vobsub2pgm and pgm2txt
* Sat Dec 13 2003 Manfred.Tremmel@iiv.de
- update to 0.3-4
* Sat Nov 29 2003 Manfred.Tremmel@iiv.de
- update to 0.3-3
* Sat Aug 23 2003 Manfred.Tremmel@iiv.de
- update to 0.3-2
* Sat Apr 12 2003 Manfred.Tremmel@iiv.de
- added packman build header
* Fri Feb 28 2003 Manfred.Tremmel@iiv.de
- update to 0.3-1
* Sat Feb 22 2003 Manfred.Tremmel@iiv.de
- first spec file
